gsasl_hmac_sha1(3)

NAME
gsasl_hmac_sha1 - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_hmac_sha1(const char * key, size_t keylen, const char * in, size_t inlen, char * outhash[20]);

ARGUMENTS

const char * key
    input character array with key to use.

size_t keylen
    length of input character array with key to use.

const char * in
    input character array of data to hash.

size_t inlen
    length of input character array of data to hash.

char * outhash[20]

DESCRIPTION
Compute keyed checksum of data using HMAC-SHA1. The outhash buffer must be deallocated by the caller.

RETURN VALUE
Returns GSASL_OK iff successful.

SINCE
1.3

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.